<?php

/**
 * enriched_shortcode handler.
 *
 * @package    filter_enriched_shortcode
 * @copyright  2018 Enriched Academy
 * @author     Enriched Academy <www.enrichedacademy.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace filter_enriched_shortcode;
defined('MOODLE_INTERNAL') || die();

/**
 * enriched_shortcode handler.
 *
 * @package    filter_enriched_shortcode
 * @copyright  2018 Enriched Academy
 * @author     Enriched Academy <www.enrichedacademy.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
class enriched_shortcode {

    /**
     * Handle enriched_shortcode.
     *
     * @param string $shortcode The shortcode.
     * @param object $args The arguments of the code.
     * @param string|null $content The content, if the shortcode wraps content.
     * @param object $env The filter environment (contains context, noclean and originalformat).
     * @param Closure $next The function to pass the content through to process sub enriched_shortcode.
     * @return string The new content.
     */
    public static function handle($shortcode, $args, $content, $env, $next) {
        global $USER;
        
        if ($shortcode === 'eabutton' || $shortcode === 'eabutton1' || $shortcode === 'eabutton2' || $shortcode === 'eabutton3' || $shortcode === 'eabutton4') {

            // Get Plugin Settings from Appearance
            $settings = get_config('filter_enriched_shortcode');
            
            if (!empty($settings->enabled) && isloggedin()) {

                $btn_name = 'Connect With EA';
                if($settings->button_name != ''){
                    $btn_name = $settings->button_name;
                }
                
                if ($shortcode == 'eabutton1') {
                    $accessToken = $settings->accesstoken1;
                } elseif ($shortcode == 'eabutton2') {
                    $accessToken = $settings->accesstoken2;
                } elseif ($shortcode == 'eabutton3') {
                    $accessToken = $settings->accesstoken3;
                } elseif ($shortcode == 'eabutton4') {
                    $accessToken = $settings->accesstoken4;
                } else {                
                    $accessToken = $settings->accesstoken;
                }

                return '<form action="https://sso.enrichedacademy.com/sso/ssoverification.php" method="POST" target="_blank" onsubmit="return checkeasubmitform(); ">
                <input type="hidden" value="'.$USER->firstname.'" name="fname" />
                <input type="hidden" value="'.$USER->lastname.'" name="lname" />
                <input type="hidden" value="'.$USER->email.'" name="email" />
                <input type="hidden" value="'.$_SERVER['SERVER_NAME'].'" name="host" />
                <input type="hidden" name="location_code" value="'.$settings->locationcode.'" />
                <input type="hidden" name="preferred_language" value="'.$settings->preferredlanguage.'" />
                <input type="hidden" name="accesstoken" value="'.$accessToken.'" />
                <input type="submit" style="'.$settings->custom_css.'" name="submit" value="'.$btn_name.'">
                </form>';
            }

        }
        return $next($content);
    }

}
