<?php

/**
 * Settings Custom Navigation local plugin.
 *
 * @package    filter_enriched_shortcode
 * @author     Enriched Academy <www.enrichedacademy.com>
 */

defined('MOODLE_INTERNAL') || die;

if ($hassiteconfig) {
    global $USER;
    // Register Settings Page
    $settings = new admin_settingpage('filter_enriched_shortcode', get_string('pluginname', 'filter_enriched_shortcode'));
    
    // Add Settings Items
    $settings->add(new admin_setting_configcheckbox('filter_enriched_shortcode/enabled', get_string('flatenabled', 'filter_enriched_shortcode'),get_string('strflatenabled', 'filter_enriched_shortcode'), 0));
    
    $settings->add(new admin_setting_configtext('filter_enriched_shortcode/accesstoken',get_string('accesstoken', 'filter_enriched_shortcode'), 'Use Shortcode: <b>[eabutton]</b>', ''));
    $settings->add(new admin_setting_configtext('filter_enriched_shortcode/accesstoken1',get_string('accesstoken1', 'filter_enriched_shortcode'), 'Use Shortcode: <b>[eabutton1]</b>', ''));
    $settings->add(new admin_setting_configtext('filter_enriched_shortcode/accesstoken2',get_string('accesstoken2', 'filter_enriched_shortcode'), 'Use Shortcode: <b>[eabutton2]</b>', ''));
    $settings->add(new admin_setting_configtext('filter_enriched_shortcode/accesstoken3',get_string('accesstoken3', 'filter_enriched_shortcode'), 'Use Shortcode: <b>[eabutton3]</b>', ''));
    $settings->add(new admin_setting_configtext('filter_enriched_shortcode/accesstoken4',get_string('accesstoken4', 'filter_enriched_shortcode'), 'Use Shortcode: <b>[eabutton4]</b>', ''));
    $settings->add(new admin_setting_configtext('filter_enriched_shortcode/locationcode',get_string('locationcode', 'filter_enriched_shortcode'), '', ''));

    $name = 'filter_enriched_shortcode/preferredlanguage';
    $title = get_string('preferredlanguage','filter_enriched_shortcode');
    $default = $USER->lang;
    $choices = array('en'=>'English', 'fr'=>'French');
    $settings->add(new admin_setting_configselect($name, $title, '', $default, $choices));
    
    $settings->add(new admin_setting_configtext('filter_enriched_shortcode/button_name',get_string('ea_btn_name', 'filter_enriched_shortcode'), '', ''));

    $settings->add(new admin_setting_configtextarea('filter_enriched_shortcode/custom_css',get_string('custom_css', 'filter_enriched_shortcode'), '', '', PARAM_RAW,'30', '2'));

    //$settings->add(new admin_setting_heading('filter_enriched_shortcode/shortcode',get_string('shortcode', 'filter_enriched_shortcode'),'','','','',''));

    $ADMIN->add('appearance', $settings);
}